Subject: Re: Regular Expressions from Bash Shell
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Wed, 1 Sep 2004 15:31:49 -0700

On Wed, Sep 01, 2004 at 03:09:21PM -0600, Siegfried Heintze wrote:
> I want to use grep on all the FORTRAN source code files in the current
> directory whose file names do not contain a "_" character. How do I do this?
> 
> I'm using the extension of ".f" to designate FORTRAN. 

   find *.f ! -name '*_*'|xargs grep

is how I would do it, but there's probably a better way.  (Assuming
you have no subdirectories ending with .f)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/